## logtrend-visuengine 0.82.2-1

=== share/Visu/dsssl/Makefile ===

all: report.ps report.pdf

report.ps: report.sgml
	sgmltools -b ps -s logtrend.dsl report.sgml

report.pdf: report.ps
	ps2pdf report.ps

=== debian/changelog ===
logtrend-visuengine (0.82.2-1) unstable; urgency=low

  * New upstream version.
  * Changed description.
  * Fixed documentation path.
  * Added configuration files to /etc/logtrend/Visu
  * Created a default user admin/admin to avoid startup failures.

 -- Jean-Francois Dive <jef@debian.org>  Fri, 12 Jul 2002 12:27:10 +1000

logtrend-visuengine (0.81-4) unstable; urgency=low

  * New Maintainer (closes: #1348854).
  * Fixed some dependencies problems (closes: #134653).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 14:45:04 +1100

logtrend-visuengine (0.81-3) unstable; urgency=low

  * Orphaning becouse I'll no longer use this

 -- Maurizio Boriani <baux@debian.org>  Mon, 25 Feb 2002 09:45:35 +0100

logtrend-visuengine (0.81-2) unstable; urgency=low

  * Fixed description (closes: Bug#128216, Bug#128217, Bug#128224). 

 -- Maurizio Boriani <baux@debian.org>  Tue,  8 Jan 2002 11:28:56 +0100

logtrend-visuengine (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Fri,  7 Dec 2001 12:30:38 +0100

=== debian/control ===
Source: logtrend-visuengine
Section: net
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: liblogtrend-databaseaccess-perl
Section: interpreters
Architecture: any
Depends: ${perl:Depends}, libdbi-perl
Description: Perl module for logtrend postgresql database access
 This package contains a perl module which allows logtrend to access a
 PostgreSQL database.

Package: liblogtrend-visu-perl
Section: interpreters
Architecture: any
Depends: ${perl:Depends}, libxml-dom-perl, liblogtrend-common-perl
Description: Perl module for logtrend data visualization
 This package contains perl module which allow the 
 logtrend visualizer to generate reports.

Package: logtrend-visuengine
Section: net
Architecture: any
Depends: ${perl:Depends}, liblogtrend-databaseaccess-perl, liblogtrend-common-perl, liblogtrend-visu-perl, libunicode-string-perl
Recommends: sgmltools-2, jadetex, ds
Description: logtrend data visualization engine
 This perl daemon reads data from a logtrend postgresql database via 
 TCP/IP and makes them available for other logtrend tools like
 logtrend-visuapache.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_COMPAT=3

ifndef PERL
PERL = /usr/bin/perl
endif

build: build-stamp
build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="-O2 -g -Wall"
	$(MAKE) test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=$(CURDIR)/debian/logtrend-visuengine/usr install
	
	dh_movefiles --sourcedir=debian/logtrend-visuengine
	rm -rf $(CURDIR)/debian/logtrend-visuengine/usr/lib
	rm -rf $(CURDIR)/debian/logtrend-visuengine/usr/share/perl5/LogTrend/Common
	rm -rf $(CURDIR)/debian/logtrend-visuengine/usr/share/perl5/LogTrend/DataBaseAccess
	rm -rf $(CURDIR)/debian/logtrend-visuengine/usr/share/doc/LogTrend/
	rm -rf $(CURDIR)/debian/logtrend-visuengine/usr/share/perl5
	mv $(CURDIR)/debian/logtrend-visuengine/usr/bin/LogTrendVisu \
		$(CURDIR)/debian/logtrend-visuengine/usr/sbin 
	mv $(CURDIR)/debian/logtrend-visuengine/usr/share/LogTrend/Visu/dsssl \
		$(CURDIR)/debian/logtrend-visuengine/var/lib/logtrend/Visu/
	cp $(CURDIR)/doc/configuration.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/Visu.conf
	cp $(CURDIR)/doc/report.conf $(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/
	cp $(CURDIR)/doc/network.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/
	cp $(CURDIR)/doc/Linux_Server.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/
	cp $(CURDIR)/doc/database.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/
	cp $(CURDIR)/doc/network.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/users/admin
	cp $(CURDIR)/doc/Linux_Server.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/users/admin
	cp $(CURDIR)/doc/database.xml \
		$(CURDIR)/debian/logtrend-visuengine/etc/logtrend/Visu/users/admin

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installinit -n
	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
